/*
* ASIX PRESTO LED blink example
* distributed as-is, without any warranties
* https://www.asix.tech/
*
* version 1.0, July 2020
* 
*/

#include <stdio.h>
#include "presto.h"

void ReadStatus(char* message)
{
    int status = AGetBlocking();
    if(message[0] != '\0') {
        printf("%s: %#08x\n", message, status);        
    }
    else {
          printf("%#08x\n", status);     
    }
}

int main(int argc, char *argv[])
{
    int i;
    
    printf("ASIX PRESTO LED blink example \n");
   
    if(LoadPrestoDll("presto.dll") == PRESTO_DLL_LOAD_OK) {
        printf("DLL load OK\n");
    }
    else {
        printf("DLL load FAILED\n");
        return 1;
    }
    
    
    QOpenPresto(-1);
    ReadStatus("QOpenPresto");
    
    for( i = 0; i<5; i++)
     {   
      QSetActiveLED(1);
      ReadStatus("QSetActiveLED");

      QDelay(100000);
      ReadStatus("QDelay");

      QSetActiveLED(0);
      ReadStatus("QSetActiveLED");
      
      QDelay(100000);
      ReadStatus("QDelay");      
     }
     
    QCheckGoButton();
    ReadStatus("QCheckGoButton");
    
    QClosePresto();
    ReadStatus("QClosePresto");
    
    return 0;
}

